/*
Theme Name: Väkevä rakenne
Author: MXR
Author URI: https://mxr.fi
Template: sober
*/


/*
	Breakpoints:
	576px
	768px
	992px (mobile nav)
	1200px

	Colors:
	Green: #abda37
	Black: #060802;
*/


/*-------------------------------------------------------------------------*/
/*	BASIC SET UP
/*-------------------------------------------------------------------------*/
.space-top {
	padding-top: 25px!important;
}

.space-bottom {
	padding-bottom: 25px!important;
}

.space-both {
	padding-top: 25px!important;
	padding-bottom: 25px!important;
}

.space-top-double {
	padding-top: 50px!important;
}

.space-bottom-double {
	padding-bottom: 50px!important;
}

.space-both-double {
	padding-top: 50px!important;
	padding-bottom: 50px!important;
}

.banner.full {
	margin-top: 75px!important;
	margin-bottom: 25px!important;
	background-size: cover;
	height: 500px;
}

.banner.full h2 {
	margin-top: 0;
}

#content .wpb_alert p:last-child, 
#content .wpb_text_column :last-child, 
#content .wpb_text_column p:last-child, 
.wpb_alert p:last-child, 
.wpb_text_column :last-child, 
.wpb_text_column p:last-child {
    margin-bottom: 1.5em;
}

.vc_col-sm-6.vc_column_container .vc_column-inner p {
	padding-right: 20px;
}

.site-content table {
    border: none;
}

.site-content th, 
.site-content td {
    padding: 5px;
    border-right: none;
}

.site-content tbody tr {
    border-bottom: none;
}

.site-content th, 
.site-content td {
    padding: 5px;
    border-right: none;
}

#content .wpb_text_column :last-child, 
.wpb_text_column :last-child {
    margin-bottom: 0;
}

.button, 
.btn, 
.wpcf7-form .wpcf7-submit {
    font-weight: 500 !important;
    line-height: 50px !important;
    width: 200px !important;
    padding: 0 10px !important;
    font-size: 14px !important;
    letter-spacing: 1px !important;
    border-radius: 0 !important;
    height: auto !important;
}

@media only screen and (min-width: 768px) {
	.space-top {
		padding-top: 75px!important;
	}

	.space-bottom {
		padding-bottom: 75px!important;
	}

	.space-both {
		padding-top: 75px!important;
		padding-bottom: 75px!important;
	}

	.space-top-double {
		padding-top: 150px!important;
	}

	.space-bottom-double {
		padding-bottom: 150px!important;
	}

	.space-both-double {
		padding-top: 150px!important;
		padding-bottom: 150px!important;
	}

	.banner.full {
		height: 500px;
	}

	.banner.full .wpb_text_column {
	}
}

@media screen and (min-width: 992px) {
	.text-box-left .wpb_text_column {
		padding-right: 25px;
	}

	.text-box-right .wpb_text_column {
		padding-left: 25px;
	}
}

@media screen and (min-width: 2000px) {
	.banner.full {
		height: 600px;
	}
}



/*-------------------------------------------------------------------------*/
/*	Typography
/*-------------------------------------------------------------------------*/
h1, h2, h3, h4, h5, h6, button, .button {
	font-family: "parppim", sans-serif !important;
	text-transform: uppercase;
}

body,
body p {
	line-height: 1.6;
}

h1, .h1 {	
	margin-top: 0 !important;
    font-size: 35px !important;
}

h2 {
	margin: 25px 0 !important;
}

h2:after {
    content: '';
    display: block;
    height: 6px;
    max-width: 50px;
    width: 100%;
    margin: 15px 0;
    background: #abda37;
}

h4:after {
    content: '';
    display: block;
    height: 5px;
    max-width: 30px;
    width: 100%;
    margin: 20px 0 10px 0;
    background: #abda37;
}

.entry-content a {
	color: #abda37 !important;
}

.entry-content a:hover {
	text-decoration: underline;
}

.nav-menu .sub-menu a {
    font-size: 14px !important;
}

body {
	font-family: 'Work Sans', sans-serif;
	color: #060802;
}

.highlight {
	color: #abda37;
}

.button, .btn {
    font-weight: 600 !important;
    line-height: 50px !important;
    width: 200px !important;
    padding: 0 10px !important;
    font-size: 14px !important;
    letter-spacing: 1px !important;
    border-radius: 0 !important;
    height: auto !important;
    background: #abda37 !important; 
    color: #fff !important;
}

.button.green {
    background: #abda37 !important;
    color: #fff !important;
}

.button.green:hover {
    background: #060802 !important;
    color: #fff !important;
    text-decoration: none !important;
}

.button.small {
    font-weight: 600 !important;
    line-height: 40px !important;
    width: 175px !important;
    padding: 0 10px !important;
    font-size: 14px !important;
    letter-spacing: 1px !important;
    background: #060802 !important;
    color: #abda37;
}

.button.small:hover {
    background: #abda37 !important;
    color: #fff !important;
    text-decoration: none !important;
}

@media screen and (min-width: 992px) {
	 body,
	 body p {
	 	font-size:  16px !important;
	 }

	h1,
	.banner h2 {
		font-size: 60px !important;
	}

	.button {
		font-size: 18px !important;
	}
}


/*-------------------------------------------------------------------------*/
/*	Header
/*-------------------------------------------------------------------------*/
.no-page-header .site-header {
    border-bottom: none !important;
}

.header-dark .site-header {
    background-color: #060802 !important;
}

.nav-menu > li > a {
	font-family: "parppim", sans-serif !important;
    font-size: 16px !important;
    color: #fff !important;
    text-transform: uppercase;
}

.menu-item.menu-item-search a,
.mobile-menu .search-form {
	display: none !important;
}

.mobile-menu {
	padding-top: 50px;
}

.mobile-menu a {
	font-family: "parppim", sans-serif !important;
}

.site-header {
    /*padding: 35px 0 35px 0 !important;*/
}

.site-navigation a:after {
    height: 0;
}

.nav-menu  li.current_page_item a,
.menu-item a:hover {
	color: #abda37 !important;
} 

.hero h1,
.page-hero h1 {
	color: #fff !important;
}

.page-hero .vc_column_container {
	height: 400px;
}

.page-hero h1 {
	max-width: 700px;
	margin: 0 auto;
	padding-right: 20px !important;
	padding-left: 20px !important;
}

.vc_row.bg-right {
	background-position: right center !important;
}

.site-branding .logo .logo-light {
  opacity: 1 !important;
}

.site-branding .logo .logo-dark {
  opacity: 0 !important;
}


/*-------------------------------------------------------------------------*/
/*	Pages
/*-------------------------------------------------------------------------*/
.site-content {
    padding-top: 0 !important
}

/* Contact */
body.page-id-19 .site-content ul {
	padding-inline-start: 15px !important;
}


/*-------------------------------------------------------------------------*/
/*	Home
/*-------------------------------------------------------------------------*/
.vc_custom_1623066644910 {
    background-size: cover !important;
}

.home-services .align .button {
	margin-top: 20px !important;
}

.home-services h4 .br {
	display: inline;
}

.home-services .align {
	text-align: center;
	padding-left: 20px;
	padding-right: 20px;
}

.home-services h4:after {
	margin: 10px auto;
}

.banner.full {
	background: url(/wp-content/uploads/2021/06/banner-bg.gif) no-repeat center center #060802;
	background-size: auto 100%;
}

.banner.full h2 {
	color: #fff;
	margin-top: 0 !important;
}

.banner.full h2:after {
    display: none !important;
}

.banner.full .button {
	width: 250px !important;
}

@media only screen and (min-width: 768px) {
	.home-services h4 .br {
		display: block;
	}
}

@media only screen and (max-width: 768px) {
	.banner.full {
		height: 400px;
	}

	.mobile-hide {
		display: none;
	}
}



/*-------------------------------------------------------------------------*/
/*	Image Sliders
/*-------------------------------------------------------------------------*/
.flex-control-paging li a.flex-active {
    background: #abda37 !important;
}

.flex-control-paging li a {
    background: #eee !important;
    box-shadow: none !important;
}

.flex-direction-nav a::before {
    text-shadow: none !important;
    color: #abda37 !important;
}


/*-------------------------------------------------------------------------*/
/*	Forms
/*-------------------------------------------------------------------------*/
.wpcf7-form label {
	width: 100% !important;
}

.wpcf7-form .wpcf7-form-control {
	width: 100% !important;
	background-color: #f6f6f6 !important;
    color: #060802 !important;
    border-color: transparent !important;
    padding: 5px 10px !important;
}

.wpcf7-form .wpcf7-submit {
	background-color: #060802 !important;
    color: #abda37 !important;
	font-family: "parppim", sans-serif !important;
	text-transform: uppercase;
}

.wpcf7-form .wpcf7-submit:hover {
	background-color: #abda37 !important;
    color: #fff !important;
}

.wpcf7-form .wpcf7-textarea {
	min-height: 150px !important;
}


/*-------------------------------------------------------------------------*/
/*	Footer
/*-------------------------------------------------------------------------*/
#gotop {
	display: none;
}

footer {
	background: #060802;
	padding: 50px 0 !important;
	color: #fff;
}

footer a {
	color: #abda37 !important;
}

footer a:hover {
	text-decoration: underline;
}


footer {
	text-align: center !important;
}

footer .contact {
	padding-top: 25px;
	padding-bottom: 25px;
}

footer .nav ul {
	display: inline-block;
}

footer .nav ul li {
	float: left !important;
}

footer .nav ul li::marker {
	content: "" !important;
}

footer .nav ul li a {
	font-family: "parppim", sans-serif !important;
	text-transform: uppercase;
	color: #fff !important;
	padding: 5px 15px;
}











